{% extends "layout.twig" %}
{% block head %}
    <title>App | Login page</title>
{% endblock %}

{% block title %}
    Login page
{% endblock %}

{% block content %}
{#    <div class="uk-flex uk-flex-center">#}
{#        <form method="post" action="{{ path_for('reset.post') }}?email={{ email }}&token={{ token }}">#}
{#            <div class="uk-margin">#}
{#                <div class="uk-inline">#}
{#                    <span class="uk-form-icon" uk-icon="icon: lock"></span>#}
{#                    <input class="uk-input" name="password" placeholder="password" type="password">#}
{#                </div>#}
{#            </div>#}
{#            <div class="uk-margin">#}
{#                <div class="uk-inline">#}
{#                    <span class="uk-form-icon" uk-icon="icon: lock"></span>#}
{#                    <input class="uk-input" name="password_repeat" placeholder="password repeat" type="password">#}
{#                </div>#}
{#            </div>#}
{#            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">#}
{#            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">#}
{#            <button class="uk-button uk-button-default">Submit</button>#}
{#        </form>#}
{#    </div>#}


    <div class="d-flex justify-content-center">
        <form method="post" action="{{ path_for('reset.post') }}?email={{ email }}&token={{ token }}">
            <div class="form-row mt-2">
                <div class="col">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" name="password" placeholder="Password">
                </div>
            </div>
            <div class="form-row mt-2">
                <div class="col">
                    <label for="password_repeat">Password repeat</label>
                    <input type="password" class="form-control" id="password_repeat" name="password_repeat" placeholder="Password">
                </div>
            </div>
            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">
            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">
            <div class="d-flex justify-content-center mt-3">
                <button class="btn btn-outline-secondary">Login</button>
            </div>
        </form>
    </div>
{% endblock %}
{% block msg%}
    {% if has_error('password') or has_error('password_repeat') %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <h4 class="alert-heading">Error</h4>
            <p>{{ get_error('password') }}</p>
            <p>{{ get_error('password_repeat') }}</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endif %}
{% endblock%}